﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1104: (1 year) VER VISA /9500+2Hd
DATE:                  2018-08-22 17:48:00
AUTHOR:                Fluke
REVISION:              $Revision: 25078 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       205
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         60MH                         1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         60MH                         1Vpp           LS    S
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                                     V

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.015  DISP         Ensure a minimum DUT warm-up time of at least
  1.015  DISP         10 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  HEAD         COMMUNICATION SETUP
  1.017  TARGET
  1.018  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.019  VISA         *RST

  1.020  HEAD         DUT IDENTIFICATION
  1.021  MATH         @DUT_Model = "TBS 1104"
  1.022  MATH         @DUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 *IDN? VISA
  1.024  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.025  JMPL         END                          @Abort

  1.026  CALL         Sub Tek TBS1000 Specifications

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.027  MATH         @IsMultiHead = 2
  1.028  CALL         Sub Tek TBS1000 Self-Test VISA
  1.029  JMPL         END                          @Abort
  1.030  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.031  JMPL         END                          @Abort

  1.032  MATH         @Chan = 1
  1.033  M9500                       CH1
  1.034  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.035  MATH         @Chan = 2
  1.036  M9500                       CH2
  1.037  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500
  1.038  JMPL         BANDWIDTH_CH1

  1.039  LABEL        DCV_MEASURE_CH3
  1.040  MATH         @Chan = 3
  1.041  M9500                       CH1
  1.042  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.043  MATH         @Chan = 4
  1.044  M9500                       CH2
  1.045  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500
  1.046  JMPL         BANDWIDTH_CH3

  1.047  LABEL        BANDWIDTH_CH1
  1.048  MATH         @Chan = 1
  1.049  M9500                       CH1
  1.050  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.051  MATH         @Chan = 2
  1.052  M9500                       CH2
  1.053  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500
  1.054  JMPL         TRIGGER_SENSITIVITY_CH1

  1.055  LABEL        BANDWIDTH_CH3
  1.056  MATH         @Chan = 3
  1.057  M9500                       CH1
  1.058  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.059  MATH         @Chan = 4
  1.060  M9500                       CH2
  1.061  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500
  1.062  JMPL         TRIGGER_SENSITIVITY_CH3

  1.063  LABEL        TRIGGER_SENSITIVITY_CH1
  1.064  MATH         @Chan = 1
  1.065  M9500                       CH1
  1.066  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.067  MATH         @Chan = 2
  1.068  M9500                       CH2
  1.069  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500
  1.070  JMPL         VERTICAL_POSITION_CH1

  1.071  LABEL        TRIGGER_SENSITIVITY_CH3
  1.072  MATH         @Chan = 3
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.075  MATH         @Chan = 4
  1.076  M9500                       CH2
  1.077  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500
  1.078  JMPL         VERTICAL_POSITION_CH3

  1.079  LABEL        EXT_TRIG_CH1
  1.080  MATH         @Chan = 1
  1.081  M9500                       CH12
  1.082  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.083  MATH         @Chan = 2
  1.084  M9500                       CH12
  1.085  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd
  1.086  JMPL         DCV_MEASURE_CH3

  1.087  LABEL        EXT_TRIG_CH3
  1.088  MATH         @Chan = 3
  1.089  M9500                       CH12
  1.090  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.091  MATH         @Chan = 4
  1.092  M9500                       CH12
  1.093  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd
  1.094  JMPL         END

  1.095  LABEL        SAMPLE_RATE_DELAY_TIME
  1.096  MATH         @Chan = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /9500
  1.099  JMPL         EXT_TRIG_CH1

  1.100  LABEL        VERTICAL_POSITION_CH1
  1.101  MATH         @Chan = 1
  1.102  M9500                       CH1
  1.103  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.104  MATH         @Chan = 2
  1.105  M9500                       CH2
  1.106  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500
  1.107  JMPL         SAMPLE_RATE_DELAY_TIME

  1.108  LABEL        VERTICAL_POSITION_CH3
  1.109  MATH         @Chan = 3
  1.110  M9500                       CH1
  1.111  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.112  MATH         @Chan = 4
  1.113  M9500                       CH2
  1.114  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500
  1.115  JMPL         EXT_TRIG_CH3

  1.116  LABEL        END

  1.117  IF           @Abort
  1.118  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.119  ENDIF

  1.120  VISA         *RST
  1.121  END
